# avtpaafpay

Payload raw audio into AVTPDUs according to IEEE 1722-2016. For detailed information see https://standards.ieee.org/standard/1722-2016.html.

Example pipeline |[ gst-launch-1.0 audiotestsrc ! audioconvert ! avtpaafpay ! avtpsink ]| This example pipeline will payload raw audio. Refer to the avtpaafdepay example to depayload and play the AVTP stream.

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstAvtpBasePayload
                        ╰──avtpaafpay

## Factory details

Authors: – Andre Guedes

Classification: – `Codec/Payloader/Network/AVTP`

Rank – none

Plugin – avtp

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    audio/x-raw:
             format: { S16BE, S24BE, S32BE, F32BE }
               rate: { (int)8000, (int)16000, (int)24000, (int)32000, (int)44100, (int)48000, (int)88200, (int)96000, (int)176400, (int)192000 }
           channels: [ 1, 2147483647 ]
             layout: interleaved

Presence – always

Direction – sink

Object type – GstPad

## Properties

### timestamp-mode

    “timestamp-mode” Avtp-aaf-timestamp-mode *

AAF timestamping mode

Flags : Read / Write

Default value : normal (0)

## Named constants

### Avtp-aaf-timestamp-mode

#### Members

`normal` (0) – Normal timestamping mode
`sparse` (1) – Sparse timestamping mode

The results of the search are